## budgie-desktop-view 1.2

=== meson_options.txt ===
option('with-stateless', type: 'boolean', value: false, description: 'Enable stateless XDG paths')
option('xdg-appdir', type: 'string', description: 'XDG autostart path')

## budgie-desktop-view 1.1.1

=== debian/changelog ===
budgie-desktop-view (1.1.1-1) unstable; urgency=medium

  * New upstream release
    - Check if a desktop item is a special item before attempting to trash it

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 11 Jan 2021 22:15:13 +0000

budgie-desktop-view (1.1-1) unstable; urgency=medium

  * New upstream release
    - Implemented Drag & Drop support.
    - Implemented keyboard-based navigation using arrow keys.
    - Implemented right-click Move to Trash option for items where applicable.
    - Implemented a max-thumbnail-size option to increase the size of the files
      to make thumbnails for. Changed default from 1MB to 10MB.
    - Fix segfault when failing to acquire mount or volume UUIDs.
    - Implemented dismissing of Raven when clicking on Budgie Desktop View.
  * Packaging Changes:
    - control: fix spurious character in vcs-git
    - regenerate man-page without texinfo via help2man --no-info

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 23 Dec 2020 18:30:44 +0000

budgie-desktop-view (1.0.2-1) unstable; urgency=medium

  * Initial Release (Closes:#976649)

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 06 Dec 2020 12:03:47 +0000

=== debian/control ===
Source: budgie-desktop-view
Section: misc
Priority: optional
Maintainer: David Mohammed <fossfreedom@ubuntu.com>
Build-Depends:
 debhelper (>= 13),
 debhelper-compat (= 13),
 libglib2.0-dev (>= 2.64),
 libgtk-3-dev (>= 3.24.0),
 meson,
 valac (>= 0.48.0),
 intltool
Standards-Version: 4.5.1
Vcs-Browser: https://github.com/UbuntuBudgie/budgie-desktop-view/tree/debian
Vcs-Git: https://github.com/UbuntuBudgie/budgie-desktop-view -b debian
Homepage: https://github.com/getsolus/budgie-desktop-view
Rules-Requires-Root: no

Package: budgie-desktop-view
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Desktop Icons for the Budgie-Desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based
 sub-systems such as GNOME-Session and Mutter.
 .
 Budgie Desktop View provides:
    Options to enable and access "special" folders such as your Home directory
    and Trash.
    Showing active drive / volume mounts (including mounted removable media).
    An ordered list of Desktop directory contents, prioritizing folders before
    files while maintaining order of content that respects locales.
    Independently adjustable icon sizing from your file manager
    Right-click menu options for the background canvas to quickly access
    Budgie Desktop and System Settings, as well right-click menu options for
    opening a file using the default app, or via the Terminal.
 .
 Budgie Desktop View is designed for the Budgie Desktop

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://github.com/getsolus/budgie-desktop-view/releases .*/budgie-desktop-view-v([0-9.]+)\.tar\.xz

## budgie-desktop-view 1.2

=== debian/changelog ===
budgie-desktop-view (1.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use canonical URL in Vcs-Git.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

  [ David Mohammed ]
  * New upstream release
    Fix launching of some file types.
    Schema change / rebrand from us.getsol to org.buddiesofbudgie
    Updated to use Budgie Control Center
  * Drop existing patches since included in the new release
  * d/manpage Rename man-page to reflect upstream new name

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 06 Mar 2022 20:27:48 +0000

budgie-desktop-view (1.1.1-2) unstable; urgency=medium

  * Bug fix
    - Change from gnome-control-center to budgie-control-center
      0001-Update-to-Budgie-Control-Center.patch
  * Packaging Changes
    - control: change Homepage to new upstream
    - control: Bump StandardsVersion; no changes required
    - watch: change watch to new upstream
    - copyright: Bump copyright years, change to new upstream details

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 18 Feb 2022 11:32:28 +0000

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
  meson,
  valac (>= 0.48.0),
  intltool
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://github.com/UbuntuBudgie/budgie-desktop-view/tree/debian
-Vcs-Git: https://github.com/UbuntuBudgie/budgie-desktop-view -b debian
-Homepage: https://github.com/getsolus/budgie-desktop-view
+Vcs-Git: https://github.com/UbuntuBudgie/budgie-desktop-view.git -b debian
+Homepage: https://github.com/buddiesofbudgie/budgie-desktop-view
 Rules-Requires-Root: no
 
 Package: budgie-desktop-view

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://github.com/buddiesofbudgie/budgie-desktop-view/releases .*/budgie-desktop-view-v([0-9.]+)\.tar\.xz

## budgie-desktop-view 1.2.1

=== debian/changelog ===
budgie-desktop-view (1.2.1-1) unstable; urgency=medium

  * New upstream release
    Handle the new Budgie Desktop Settings desktop file naming
    Drop -Werror, use werror in Meson project
    Use arrow instead of HAND1.
    Implement translations support
  * Packaging Changes
    copyright: bump year
    control: update StandardVersion; no changes required

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 10 Feb 2023 19:27:39 +0000

budgie-desktop-view (1.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libgtk-3-dev.
  * Update standards version to 4.6.1, no changes needed.

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 30 Jan 2023 19:34:49 +0000

## budgie-desktop-view 1.3

=== debian/changelog ===
budgie-desktop-view (1.3-2) unstable; urgency=medium

  * d/rules Disable werror; latest meson/valac now treat transpiled C code
    warnings as errors (Closes: #1067355)

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 29 Mar 2024 21:40:52 +0000

budgie-desktop-view (1.3-1) unstable; urgency=medium

  * New upstream released
    Hover selection should now be a bit more obvious, with refinement to
    label text color and shadows.
    Set a loading cursor while waiting for an application
    to respond to a request for launch. This is beneficial for some
    applications that may take a while to start.
    Fixed Budgie Desktop View position / geometry not updating based in root
    window workarea changes. In human language, this means that Budgie
    Desktop View should now longer get overlapped by panels.
    Created a shared application launch context in our "unified props" so we
    can avoid creating that every time we perform a launch.
    Focus on first visible item on arrow key press instead of just first
    flexbox child
    Don't require Nautilus as trash handler
    Use explicit target directory for meson post install update-desktop-database
    Updated translations

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 17 Oct 2023 20:28:03 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
  debhelper (>= 13),
  debhelper-compat (= 13),
  libglib2.0-dev (>= 2.64),
- libgtk-3-dev (>= 3.24.0),
+ libgtk-3-dev,
  meson,
  valac (>= 0.48.0),
  intltool
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://github.com/UbuntuBudgie/budgie-desktop-view/tree/debian
 Vcs-Git: https://github.com/UbuntuBudgie/budgie-desktop-view.git -b debian
 Homepage: https://github.com/buddiesofbudgie/budgie-desktop-view

=== debian/watch ===
version=4
# Upstream releases official tarballs; we use
# those in preference to git tags
opts="\
    pgpsigurlmangle=s/$/.asc/,\
    compression=xz, \
    dversionmangle=s/\+(?:git)?[0-9]*(?:\+g[0-9a-f]*)//, \
    downloadurlmangle=s#/tag/#/download/#;s#(v?@ANY_VERSION@)$#$1/@PACKAGE@-v$2.tar.xz#, \
    filenamemangle=s#v?@ANY_VERSION@#@PACKAGE@-$1.tar.xz#" \
https://github.com/buddiesofbudgie/@PACKAGE@/tags .*/releases/tag/v?@ANY_VERSION@

## budgie-desktop-view 10.10~preview.1

=== debian/changelog ===
budgie-desktop-view (10.10~preview.1-0ubuntu1) resolute; urgency=medium

  * New upstream release
    - wayland compatible release for budgie-desktop 10.10
  * d/control add B/D on libxfce4windowing and gtk-layer-shell
    remove obsolete debhelper B/D
    remove obsolete rules-requires-root
    Bump StandardsVersion - no additional changes required
  * d/watch update to accommodate preview upstream name

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 27 Nov 2025 19:39:41 +0000

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,18 @@
 Priority: optional
 Maintainer: David Mohammed <fossfreedom@ubuntu.com>
 Build-Depends:
- debhelper (>= 13),
  debhelper-compat (= 13),
  libglib2.0-dev (>= 2.64),
  libgtk-3-dev,
  meson,
  valac (>= 0.48.0),
- intltool
-Standards-Version: 4.6.2
+ intltool,
+ libxfce4windowing-0-dev,
+ libgtk-layer-shell-dev
+Standards-Version: 4.7.2
 Vcs-Browser: https://github.com/UbuntuBudgie/budgie-desktop-view/tree/debian
 Vcs-Git: https://github.com/UbuntuBudgie/budgie-desktop-view.git -b debian
 Homepage: https://github.com/buddiesofbudgie/budgie-desktop-view
-Rules-Requires-Root: no
 
 Package: budgie-desktop-view
 Architecture: any

=== debian/watch ===
version=4
# version=4
# Upstream releases official tarballs; we use
# those in preference to git tags
opts="\
    pgpsigurlmangle=s/$/.asc/,\
    compression=xz, \
    dversionmangle=s/~/-/g;s/\+(?:git)?[0-9]*(?:\+g[0-9a-f]*)//,\
    oversionmangle=s/-/~/g, \
    downloadurlmangle=s#/tag/#/download/#;s#(v?@ANY_VERSION@)$#$1/@PACKAGE@-v$2.tar.xz#, \
    filenamemangle=s#v?@ANY_VERSION@#@PACKAGE@-$1.tar.xz#" \
https://github.com/buddiesofbudgie/@PACKAGE@/tags .*/releases/tag/v?@ANY_VERSION@

## budgie-desktop-view 10.10~preview.2

=== debian/changelog ===
budgie-desktop-view (10.10~preview.2-1) experimental; urgency=medium

  * New upstream release 
    fix: Adapt to new BCC desktop file name
    fix: Add 20px spacing to allow the icon label not to overlap the left/right
    fix: Resolve icons display after a wallpaper change
    feat: Add support for xfce4-terminal

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 27 Dec 2025 20:14:12 +0000

budgie-desktop-view (10.10~preview.1-1) experimental; urgency=medium

  * New upstream release
    - wayland compatible release for budgie-desktop 10.10
  * d/control add B/D on libxfce4windowing and gtk-layer-shell
    remove obsolete debhelper B/D
    remove obsolete rules-requires-root
    Bump StandardsVersion - no additional changes required
  * d/watch update to accommodate preview upstream name

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 19 Dec 2025 22:59:21 +0000

## budgie-desktop-view 10.10.0

=== debian/changelog ===
budgie-desktop-view (10.10.0-1) experimental; urgency=medium

  * New upstream release
    - upstream has marked this as stable
  * Add patches to enable drag-drop
    0002-Add-drag-drop-and-move-capabilities-to-our-desktop-i.patch
    0003-Cleanup-after-review-lets-be-friendly-with-GLib-func.patch
    0004-Simplify-the-reading-from-the-config-file.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 11 Jan 2026 19:31:41 +0000

## budgie-desktop-view 10.10.1

=== debian/changelog ===
budgie-desktop-view (10.10.1-1) experimental; urgency=medium

  * New upstream release
    Add drag-drop and move capabilities to our desktop icons implementation
    Allow multiple items to be opened
  * Drop existing patches since these are included with this release

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 01 Feb 2026 13:21:01 +0000
